Subject: Re: [iproute PATCH v3 3/5] ipaddress: fix ipaddr_flush for Linux >= 3.1

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 25 Nov 2015 16:36:04 +0300

Hello.

On 11/24/2015 5:31 PM, Phil Sutter wrote:

> Linux version 3.1 introduced a consistency check for netlink dumps in
> commit 670dc28 ("netlink: advertise incomplete dumps"). This bites

    Need 12-digit SHA1 here, scripts/checkpatch.pl checks this now.

> iproute2 when flushing more addresses than can fit into a single
> RTM_GETADDR response. To silence the spurious error message "Dump was
> interrupted and may be inconsistent.", advise rtnl_dump_filter_l() to
> not care about NLM_F_DUMP_INTR.
>
> Signed-off-by: Phil Sutter <[email-masked]>
[...]

MBR, Sergei